#!/bin/bash

LISTEN=$(grep -i listen /etc/nginx/port.conf | awk '{gsub(";",""); print $2}')

if [[ -f ~/.overrideurl.sh ]]; then source ./.overrideurl.sh; fi

# Wait until OctoPrint comes up
while ! curl "$LISTEN" 2>&1 >/dev/null; do
  sleep 1
done

surf -d -F -g -K -n -p "$LISTEN"
